Bug 795771 - Update el6 branch to swift-1.4.6
Summary: Update el6 branch to swift-1.4.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openstack-swift
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-21 14:00 UTC by Doug Weimer
Modified: 2012-03-24 19:03 UTC (History)
7 users (show)

Fixed In Version: openstack-swift-1.4.6-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 796973 (view as bug list)
Environment:
Last Closed: 2012-03-24 19:03:25 UTC
Type: ---


Attachments (Terms of Use)
Update the el6 branch spec file to swift version 1.4.6. (744 bytes, patch)
2012-02-21 14:03 UTC, Doug Weimer
no flags Details | Diff

Description Doug Weimer 2012-02-21 14:00:43 UTC
Hopefully bugzilla is the right place to submit patches against the git://pkgs.fedoraproject.org/openstack-swift.git repository. Here's a small patch adding the 1.4.6 spec file changes to the el6 branch.

Comment 1 Doug Weimer 2012-02-21 14:03:40 UTC
Created attachment 564685 [details]
Update the el6 branch spec file to swift version 1.4.6.

Update the version/release strings to 1.4.6-1.
Place the following new swift scripts in the %files section:

%{_bindir}/swift-oldies
%{_bindir}/swift-orphans
%{_bindir}/swift-form-signature
%{_bindir}/swift-temp-url

Comment 2 Alan Pevec 2012-02-21 14:29:54 UTC
Yes, correct place it is. In fact, I've 1.4.6 merge from rawhide in my local git, I'll push the build to epel updates.

Comment 3 Fedora Update System 2012-02-23 10:05:35 UTC
openstack-swift-1.4.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0117/openstack-swift-1.4.6-1.el6

Comment 4 Fedora Update System 2012-02-23 23:03:26 UTC
Package openstack-swift-1.4.6-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-swift-1.4.6-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0117/openstack-swift-1.4.6-1.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-03-24 19:03:25 UTC
openstack-swift-1.4.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.